Create an outbound group preset
curl --request POST \
--url https://api-v2.watchcollect.com/v2/outbound/group-presets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "EU dealer groups",
"group_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'EU dealer groups', group_ids: ['018f06e2-4f8d-7c01-8a0d-cc6fd78f7300']})
};
fetch('https://api-v2.watchcollect.com/v2/outbound/group-presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/group-presets"
payload = {
"name": "EU dealer groups",
"group_ids": ["018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"name": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at_ms": 123,
"updated_at_ms": 123,
"description": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}outbound
Create an outbound group preset
Saves a named set of internal group ids owned by the authenticated actor. Group ids must belong to the workspace and be visible to the actor.
POST
/
v2
/
outbound
/
group-presets
Create an outbound group preset
curl --request POST \
--url https://api-v2.watchcollect.com/v2/outbound/group-presets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "EU dealer groups",
"group_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'EU dealer groups', group_ids: ['018f06e2-4f8d-7c01-8a0d-cc6fd78f7300']})
};
fetch('https://api-v2.watchcollect.com/v2/outbound/group-presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/group-presets"
payload = {
"name": "EU dealer groups",
"group_ids": ["018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"name": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at_ms": 123,
"updated_at_ms": 123,
"description": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Human-readable preset name scoped to the actor.
Required string length:
1 - 120Internal group ids from /v2/groups. They must belong to the authenticated workspace.
Required array length:
1 - 100 elementsMaximum string length:
500